// Priority: 100
/**
  
  █▀▄▀█ █▀█ █▄░█ █░█ █▀▄▀█ █▀▀ █▄░█ ▀█▀ ▄▀█ █░░   █▀▀ ▀▄▀ █▀█ █▀▀ █▀█ █ █▀▀ █▄░█ █▀▀ █▀▀
  █░▀░█ █▄█ █░▀█ █▄█ █░▀░█ ██▄ █░▀█ ░█░ █▀█ █▄▄   ██▄ █░█ █▀▀ ██▄ █▀▄ █ ██▄ █░▀█ █▄▄ ██▄

  ☻/  * @file Nature's Aura recipes script
  /▌  * @copyright KnightDexx's Modded Minecraft World | ModernGamingWorld | GeekTechMedia
  /\

*/
ServerEvents.recipes(event => {
  if (Platform.isLoaded('botania')) {

    // === Infused Stone ===
    event.custom({
      type: 'botania:mana_infusion',
      catalyst: {
        type: 'block',
        block: 'botania:conjuration_catalyst'
      },
      input: {
        tag: 'c:storage_blocks/arcane_crystal'  // PORTED: forge: → c:
      },
      mana: 13500,
      output: {
        count: 2,
        item: 'naturesaura:infused_stone'
      }
    }).id('kubejs:naturesaura/infused_stone')

    removeRecipeByID(event, [
      'naturesaura:altar/infused_stone'
    ])

  } // end Platform.isLoaded('botania')

})
